
package eshopcxfservice;

/**
 * Please modify this class to meet your needs
 * This class is not complete
 */

import java.io.File;
import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was generated by Apache CXF 3.4.3
 * 2021-04-11T12:12:05.659+02:00
 * Generated source version: 3.4.3
 *
 */
public final class PropertySetter_PropertySetterImplPort_Client {

    private static final QName SERVICE_NAME = new QName("http://eshopCXFService/", "PropertySetterImplService");

    private PropertySetter_PropertySetterImplPort_Client() {
    }

    public static void main(String args[]) throws java.lang.Exception {
        URL wsdlURL = PropertySetterImplService.WSDL_LOCATION;
        if (args.length > 0 && args[0] != null && !"".equals(args[0])) {
            File wsdlFile = new File(args[0]);
            try {
                if (wsdlFile.exists()) {
                    wsdlURL = wsdlFile.toURI().toURL();
                } else {
                    wsdlURL = new URL(args[0]);
                }
            } catch (MalformedURLException e) {
                e.printStackTrace();
            }
        }

        PropertySetterImplService ss = new PropertySetterImplService(wsdlURL, SERVICE_NAME);
        PropertySetter port = ss.getPropertySetterImplPort();

        {
        System.out.println("Invoking publishNewDescription...");
        java.lang.String _publishNewDescription_arg0 = "_publishNewDescription_arg0-2056316705";
        java.lang.String _publishNewDescription_arg1 = "_publishNewDescription_arg1-1124567337";
        boolean _publishNewDescription__return = port.publishNewDescription(_publishNewDescription_arg0, _publishNewDescription_arg1);
        System.out.println("publishNewDescription.result=" + _publishNewDescription__return);


        }
        {
        System.out.println("Invoking publishNewImageURL...");
        java.lang.String _publishNewImageURL_arg0 = "_publishNewImageURL_arg01174213391";
        java.lang.String _publishNewImageURL_arg1 = "_publishNewImageURL_arg11538686341";
        boolean _publishNewImageURL__return = port.publishNewImageURL(_publishNewImageURL_arg0, _publishNewImageURL_arg1);
        System.out.println("publishNewImageURL.result=" + _publishNewImageURL__return);


        }
        {
        System.out.println("Invoking publishNewPrice...");
        java.lang.String _publishNewPrice_arg0 = "_publishNewPrice_arg0117704455";
        double _publishNewPrice_arg1 = 0.5735515213985458;
        boolean _publishNewPrice__return = port.publishNewPrice(_publishNewPrice_arg0, _publishNewPrice_arg1);
        System.out.println("publishNewPrice.result=" + _publishNewPrice__return);


        }

        System.exit(0);
    }

}
